import { UmbConditionBase } from './condition-base.controller.js';
import type { UmbControllerHost } from '../../../../libs/controller-api/index.js';
import type { ManifestCondition, UmbConditionConfigBase, UmbConditionControllerArguments, UmbExtensionCondition } from '../../../../libs/extension-api/index.js';
export declare class UmbSwitchCondition extends UmbConditionBase<SwitchConditionConfig> implements UmbExtensionCondition {
    #private;
    constructor(host: UmbControllerHost, args: UmbConditionControllerArguments<SwitchConditionConfig>);
    startApprove(): void;
    startDisapprove(): void;
    destroy(): void;
}
export declare const manifest: ManifestCondition;
export type SwitchConditionConfig = UmbConditionConfigBase<'Umb.Condition.Switch'> & {
    frequency: string;
};
